# HikageFactory

fun HikageFactory (createView: HikageFactory ): (parent: ViewGroup ?, base: View ?, context: Context , params: Hikage.PerformerParams ) -> View ?

Create a Hikage factory.

#### Return

HikageFactory

#### Parameters

createView

the view creator.

fun HikageFactory (inflater: LayoutInflater ): (parent: ViewGroup ?, base: View ?, context: Context , params: Hikage.PerformerParams ) -> View ?

Create a Hikage factory from LayoutInflater.

This will proxy the function of LayoutInflater.Factory2 to Hikage.

#### Return

HikageFactory

#### Parameters

inflater

the layout inflater.